Announcement

Collapse
No announcement yet.

gd library?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • gd library?

    Hi, I'm currently running PHP 4.3.0 and would like to install the gd library onto my windows server, how can I do this

    thanks,

    Dimava
    NXSupport Admin

  • #2
    On my local Apache server I was able to just uncomment the line in php.ini (extension=php_gd.dll) and restard the server to get it working.
    Chen Avinadav
    Better to remain silent and be thought a fool than to speak out and remove all doubt.

    גם אני מאוכזב מסיקור תחרות לתור מוטור של NRG הרשת ע"י מעריב

    Comment


    • #3
      I tried that, but I get this error:

      Unknown(): Unable to load dynamic library './php_gd.dll' - The specified module could not be found.
      thanks,

      Dimava
      NXSupport Admin

      Comment


      • #4
        Did you edit php.ini in both c:\php and c:\windows? I had to do that.
        Chen Avinadav
        Better to remain silent and be thought a fool than to speak out and remove all doubt.

        גם אני מאוכזב מסיקור תחרות לתור מוטור של NRG הרשת ע"י מעריב

        Comment


        • #5
          I hope you were reffering to the php.ini file in C:\PHP\BACKUP because I don't have one in c:\PHP

          but I modifed the one in the backup folder, and I'm still getting the same error
          NXSupport Admin

          Comment


          • #6
            you need to set the extension_dir
            Scott MacVicar

            My Blog | Twitter

            Comment


            • #7
              I think the problem is that I don't have php_gd.dll
              Where can I download this file?

              thanks,

              Dimava
              NXSupport Admin

              Comment


              • #8
                If you are running PHP 4.3.0 then you should have it, as it's bundled with every release as of 4.3.0.
                Chen Avinadav
                Better to remain silent and be thought a fool than to speak out and remove all doubt.

                גם אני מאוכזב מסיקור תחרות לתור מוטור של NRG הרשת ע"י מעריב

                Comment


                • #9
                  Thats what I thought too, but phpinfo has this:
                  System Windows NT localhost 5.1 build 2600
                  Build Date Dec 27 2002 05:28:00
                  Server API CGI/FastCGI
                  Virtual Directory Support enabled
                  Configuration File (php.ini) Path C:\WINDOWS\php.ini
                  PHP API 20020918
                  PHP Extension 20020429
                  Zend Extension 20021010
                  Debug Build no
                  Thread Safety enabled
                  Registered PHP Streams php, http, ftp, compress.zlib
                  I'll reinstall php, see if that fixes it
                  NXSupport Admin

                  Comment


                  • #10
                    I think I found my problem:

                    PHP 4.3.0 installer [1,028Kb] - 27 December 2002
                    (CGI only, MySQL support built-in, packaged as Windows installer to install and configure PHP, and automatically configure IIS, PWS and Xitami, with manual configuration for other servers. N.B. no external extensions included)
                    so i'll get the zip package of it

                    problem solved

                    thanks,

                    Dimava
                    NXSupport Admin

                    Comment

                    widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                    Working...
                    X